<?php  defined('C5_EXECUTE') or die('Access Denied.');
/**
 *-----------------------------------------------------------------------------*
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2013 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */
?>

<div id="gnt-word-cloudify-<?php echo $bID?>" style="<?php echo $width ? "width:${width}px;" : ""?><?php echo $height ? "height:${height}px;" : ""?><?php echo $enforceSize ? 'overflow:hidden' : ''?>">
	<div class="words-data" style="<?php echo $loadEffect ? 'display:none' : ''?>">
	<?php 
    foreach ($wordList as $tuple) {
        $tag = 'span';
        $attrs = '';
        if (isset($tuple['href'])) {
            $tag = 'a';
            $attrs .= " href=\"$tuple[href]\" ";
        }
        $style = '';
        if (isset($tuple['color'])) {
            $style .= "color: $tuple[color];";
        }
        if (isset($tuple['size'])) {
            $style .= "font-size: $tuple[size]px;";
        }
        if ($style) {
            $attrs .= "style=\"$style\"";
        }
        ?>	<<?php echo $tag?> <?php echo $attrs?> ><?php echo $tuple['word']?></<?php echo $tag?>>
	<?php  
    } ?></div>
</div>
<?php  if ($loadEffect) {
    ?>
<script type="text/javascript">
	$(function(){
		options = {
			coloringType: "<?php echo $coloringType?>",
			colorScale:   "<?php echo $scaleType?>",
			startColor:   "<?php echo $gradientStart?>",
			endColor:     "<?php echo $gradientEnd?>",
			minAngle:     "<?php echo $minAngle?>",
			maxAngle:     "<?php echo $maxAngle?>",
			steps:        "<?php echo $orientationsNumbers?>"
		}
		$("#gnt-word-cloudify-<?php echo $bID?>").wordCloudify(options);
	});
</script>
<?php  
} ?>

<?php 

// vim: set noexpandtab ts=4 :

