/**
 *-----------------------------------------------------------------------------*
 * jqGrid simple actions, delete and add row                                   *
 * License: Concrete5 marketplace :                                            *
 * http://www.concrete5.org/help/legal/commercial_add-on_license/              *
 *                                                                             *
 * @author (Florian Delizy)                                                    *
 *                                                                             *
 * Copyright(C) 2015 Florian Delizy <florian.delizy@gmail.com>                 *
 *-----------------------------------------------------------------------------*
 */

$(function(){
    $.extend($.fn.fmatter, {
        'reactions': function (value, options, rowObject) {

            var rowid = options.rowId;
            if(rowid === undefined || $.fmatter.isEmpty(rowid)) {
                return "";
            }

            var nav = $.jgrid.getRegional(this, 'nav');

            var str = '';
            var ocl = '';


            ocl = "id='jDeleteButton_" + rowid + "' onclick=jQuery.fn.fmatter.rowactions.call(this,'del'); onmouseover=jQuery(this).addClass('ui-state-hover'); onmouseout=jQuery(this).removeClass('ui-state-hover'); ";
            str += "<span title='" + nav.deltitle + "' class='ui-inline-del' " + ocl + "><span style='cursor: pointer; display: inline-block' class='ui-icon ui-icon-trash'></span></span>";

            ocl = "id='jAddButton_" + rowid + "' onclick=\"var ev = arguments[0] || window.event; jQuery.fn.fmatter.reactions.addRow.call(this, ev)\" "
            ocl += "onmouseover=jQuery(this).addClass('ui-state-hover'); onmouseout=jQuery(this).removeClass('ui-state-hover'); ";
            str += "<span title='" + nav.addtitle+ "' class='ui-inline-add' " + ocl + "><span style='cursor: pointer; display: inline-block' class='ui-icon ui-icon-plusthick'></span></span>";

            return str;
        }
    });

    $.extend($.fn.fmatter.reactions, {
        unformat: function (value, options, cell) {
            return '';
        },
        addRow: function(ev) {
            var $tr = $(this).closest("tr.jqgrow");
            var rid = $tr.attr("id");
            var $id = $(this).closest("table.ui-jqgrid-btable").attr('id').replace(/_frozen([^_]*)$/,'$1');
            var $grid = $("#"+$id);

            var ids = $grid.jqGrid('getDataIDs');
            var idx = ids.length;
            while ($.inArray('jqg2' + idx, ids) != -1) {
                idx++;
            }
            var newID = 'jqg2' + idx;

            $grid.jqGrid('addRowData', newID, {}, 'after', rid);
            ev.stopPropagation();
            $('#' + newID).click();
        }
    });

});
